#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 17. Networking Libraries

- Prev

  glib-networking-2.70.1

- Next

  ldns-1.8.1

- Up
- Home

# kdsoap-2.0.0

## Introduction to kdsoap

The kdsoap is Qt-based client-side and server-side SOAP component. It can be used to create client applications for web services and also provides the means to create web services without the need for any further component such as a dedicated web server.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/KDAB/KDSoap/releases/download/kdsoap-2.0.0/kdsoap-2.0.0.tar.gz

- Download MD5 sum: 511bf80dac042430edaabc46a658f101

- Download size: 2.8 MB

- Estimated disk space required: 34 MB

- Estimated build time: 0.3 SBU (Using parallelism=4)

### kdsoap Dependencies

#### Required

Qt-5.15.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/kdsoap

## Installation of kdsoap

Install kdsoap by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/kdsoap-2.0.0 \
          .. &&
    make

The package does not come with atest suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kdwsdl2cpp
Installed Libraries: libkdsoap.so and libkdsoap-server.so
Installed Directories: /usr/lib/cmake/KDSoap, /usr/share/doc/kdsoap-2.0.0, /usr/include/KDSoapClient. and /usr/include/KDSoapServer

- Prev

  glib-networking-2.70.1

- Next

  ldns-1.8.1

- Up
- Home